// *************************************************************************
//    CatUrl.C
//
//    Connect to home site, and cat contents to stdout.
//
// *************************************************************************

#include <string.h>
#include <iostream.h>

#include "SockStream.h"


#define    BUFF_SZE    500

#define STRNCMP(a,b,n)  ( (*a==*b) ? strncmp(a,b,n) : 1)

// *************************************************************************
// Strip out <> and anything inside them
void strip(char *buff)
{
    int am_rming = 0;
    char *in, *out;

    for (in = out = buff; *in; in++) {

        if (am_rming) {
            if (*in == '>') {
                am_rming--;
                if (am_rming < 0)
                    am_rming = 0;
            } else if (*in == '<') {
                am_rming++;
            }

        } else {
            if (*in == '<') {
                am_rming++;
            } else {
                *out++ = *in;
            }
        }
    }

    *out = *in;
}

// *************************************************************************
int main()
{
    char line[BUFF_SZE+1];
    SockStream *quoteserv = NULL;

        // http://www.cs.wisc.edu/~flisakow/
    char *qhost = "www.cs.wisc.edu";
    quoteserv = quoteserv->OpenClient(qhost);    // Assumes port 80

    *quoteserv << "GET /~flisakow/\n";

    while (!quoteserv->eof()) {
        quoteserv->gets(line,BUFF_SZE);
        cout << line;
    }
    
    return(0);
}

// *************************************************************************
    
